NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SpineCurveBuilder Class Reference

Represents a Features.SpineCurve builder More...

Inheritance diagram for NXOpen.Features.SpineCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ArcSegmentsTypes { Simple, Smooth }
 This enum represents the arc segments types More...
 

Public Member Functions

unsafe void Evaluate ()
 Evaluates the curve More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.SpineCurveBuilder.ArcSegmentsTypes 
ArcSegmentsType [get, set]
 Returns or sets the option indicating type of shape More...
 
unsafe bool Associative [get, set]
 Returns or sets the flag indicating if an associative Spine Curve (Feature) should be created. More...
 
unsafe bool Closed [get, set]
 Returns or sets the flag indicating if a closed curve should be created if possible. More...
 
unsafe bool ReverseStartDirection [get, set]
 Returns or sets the flag indicating if starting direction of the curve should be opposite to the first plane normal. More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point More...
 
unsafe
NXOpen.GeometricUtilities.SpinePlaneBuilderList 
ThroughPlanesList [get]
 Returns the plane list containing the through planes. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.SpineCurve builder

To create a new instance of this class, use NXOpen.Features.FreeformCurveCollection.CreateSpineCurveBuilder

Default values.

Property Value

Associative

0

Closed

0

Created in NX11.0.0

Member Enumeration Documentation

This enum represents the arc segments types

Enumerator
Simple 
Smooth 

Member Function Documentation

unsafe void NXOpen.Features.SpineCurveBuilder.Evaluate ( )
inline

Evaluates the curve

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe NXOpen.Features.SpineCurveBuilder.ArcSegmentsTypes NXOpen.Features.SpineCurveBuilder.ArcSegmentsType
getset

Returns or sets the option indicating type of shape

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.SpineCurveBuilder.Associative
getset

Returns or sets the flag indicating if an associative Spine Curve (Feature) should be created.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.SpineCurveBuilder.Closed
getset

Returns or sets the flag indicating if a closed curve should be created if possible.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.SpineCurveBuilder.ReverseStartDirection
getset

Returns or sets the flag indicating if starting direction of the curve should be opposite to the first plane normal.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.SpineCurveBuilder.StartPoint
getset

Returns or sets the start point

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.SpinePlaneBuilderList NXOpen.Features.SpineCurveBuilder.ThroughPlanesList
get

Returns the plane list containing the through planes.

Created in NX11.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.